/**
 * CustomerBookings
 */
import {Chart, registerables} from 'chart.js';

class CustomerBookings {
    constructor(){}

    barChart(target, success, failed){
        const ctx = document.getElementById(target);
        Chart.register(...registerables);

        console.log(Object.keys(success), Object.values(success));

        new Chart(ctx, {
            type: "bar",
            data: {
                labels: Object.keys(success),
                datasets: [
                    {
                        stack: "bookings",
                        axis: 'y',
                        label: "# of successfull bookings",
                        data: Object.values(success),
                        borderWidth: 0,
                        backgroundColor: "rgba(138,255,99,0.8)",
                    },
                    {
                        stack: "bookings",
                        axis: 'y',
                        label: "# of pending bookings",
                        data: Object.values(failed),
                        borderWidth: 0,
                        backgroundColor: "rgba(255,99,177,0.8)",
                    },
                ],
            },
            options: {
                indexAxis: 'y',
                scales: {
                    y: {
                        stacked: true,
                        beginAtZero: true,
                    }
                }
            },
        });
    }
}

export default CustomerBookings;