class Service {

    /**
     *
     * @type {null|HTMLElement}
     */
    element = null;

    constructor(name, id, friendlyName = '') {
        this.name = name;
        this.id = id;
        this.friendlyName = friendlyName;

        this.createDomElement();
    }

    /**
     * @return {HTMLElement}
     */
    createDomElement(){
        const template = document.createElement('li');
        template.classList.add('jims-service-panel-item-service-list-item');
        template.innerHTML = this.getTemplate();

        this.element = template;
    }

    onRemoved(callback){
        this.element.querySelector('.remove').addEventListener('click', callback.bind(this, this.id));
    }

    getTemplate() {
        return `
            <span class="service_name" title="${this.friendlyName.length > 0 ? this.friendlyName : this.name}">
            ${this.name} <span class="service_id">
                ID: ${this.id}
            </span>
            </span>
            <a href="#" class="remove"><i class="fa-solid fa-times"></i></a>
        `;
    }

    getObject() {
        return {
            name: this.name,
            id: this.id
        }
    }

    toString() {
        return this.name;
    }

    toJSON() {
        return JSON.stringify(this.getObject() );
    }

}

export default Service;