/**
 * Service Item Object Class
 */

class Service {

    element = null;

    constructor(id, name, price, description, image, gravity){
        this.id = id;
        this.name = name;
        this.description = description;
        this.image = image;
        this.gravity = gravity;
    }

    setGravity(gravity) {
        this.gravity = gravity;
    }

    getTemplate(name, id, gravity){
        return `<i class="fa-solid fa-chevron-up"></i>
                    <i class="fa-solid fa-chevron-down"></i>
                    <span class="service_name">
                       ${name} <span class="service_id">
                            ID: ${id}
                        </span>
                    </span>
                    <input type="number" value="${gravity}" placeholder="Custom">
                `
    }

    createDomElement() {
        let element = document.createElement('li');
        element.classList.add('jims-service');
        element.innerHTML = this.getTemplate(this.name, this.id, this.gravity);
        this.element = element;
    }

    valueChanged(callback) {
        let input = this.element.querySelector('input');
        input.addEventListener('change', callback.bind(this, input));
    }

    onchevronClick(callback) {
        this.element.querySelector('.fa-chevron-up').addEventListener('click', callback.bind(this, 1));
        this.element.querySelector('.fa-chevron-down').addEventListener('click', callback.bind(this, -1));
    }

    onGravityChange(callback) {
        this.element.querySelector('input').addEventListener('change', callback);
    }

    changed(){
        let gravity = this.element.querySelector('input').value;
        this.setGravity(gravity);
    }

    update() {
        this.element.style.order = this.gravity;
        this.element.querySelector('input').value = this.gravity;
    }

    toJsonObject() {
        return {
            id: this.id,
            gravity: this.gravity
        }
    }

    toString() {
        return JSON.stringify(this.toJsonObject() );
    }
}

export default Service;