<?php

namespace JimsCustomerBooking\Admin\BackendPages;

use JimsCustomerBooking\Helpers\OptionHelper;
use JimsCustomerBooking\Helpers\SettingsHelper;
use JimsCustomerBooking\Helpers\StringHelper;
use JimsCustomerBooking\Jims_Options;

if( ! class_exists('JimsCustomerBooking\Admin\BackendPages\CBLinkGeneratorPage')){
    class CBLinkGeneratorPage extends BackendPage {

        use SettingsTrait;

        /**
         * @var string
         */
        protected $name = 'Link Generator';

        /**
         * @var string
         */
        protected $sub_title = 'Generate a link to your old booking form';

        protected $parent_slug = 'wpcb_settings.php';
        /**
         * @var string
         */
        protected $menu_slug = 'cb_link_generator.php';

        /**
         * @var string
         */
        protected $template_name = 'cblink.generator';


        protected $hide_menu_item = true;

        public function GetContent()
        {
            /**
             * @var Jims_Options $options
             */
            $options = OptionHelper::get('form', new Jims_Options());
            if( !($options instanceof Jims_Options) ){
                $options = unserialize($options);
            }

            ($this->GetTemplate())->render([
                'title' => $this->name,
                'sub_title' => $this->sub_title,
                'fields' => $options->getProperties(),
                'jims_options' => $options,
                'pages' => SettingsHelper::getSettingsPages (),
                'css_class' => StringHelper::GetPrefixed('wrapper'),
                'parts' => $this->GetParts ()
            ], true);
        }
    }
}