<?php

namespace JimsCustomerBooking\Admin\BackendPages;

use JimsCustomerBooking\Database\Booking;
use JimsCustomerBooking\Helpers\SettingsHelper;
use JimsCustomerBooking\Helpers\StringHelper;

class CustomerBookingPage extends BackendPage
{
    use SettingsTrait;

    /**
     * @var string
     */
    protected $name = 'Customer Bookings';

    protected $parent_slug = 'wpcb_settings.php';
    /**
     * @var string
     */
    protected $menu_slug = 'customer_bookings.php';

    /**
     * @var string
     */
    protected $template_name = 'customer-bookings-list.page';

    protected $hide_menu_item = true;

    public function GetContent()
    {
        $booking = new Booking();
        $current_page = isset($_GET['booking_page']) ? $_GET['booking_page'] : 1;

        ($this->GetTemplate())->render([
            'title' => $this->name,
            'options' => [],
            'css_class' =>  $this->getClasses (),
            'pages' => SettingsHelper::getSettingsPages (),
            'statistics' => [
                'sended' => $booking->getStatisticsTotals('sended'),
                'today' => $booking->getStatisticsTotalsByDate(date('d/m/Y'), 'sended'),
            ],
            'parts' => $this->GetParts ()
        ], true);
    }

    /**
     * @return string
     */
    protected function getClasses(): string
    {
        $classes = [
            StringHelper::GetPrefixed ('wrapper'),
            'page',
            'page-' . StringHelper::GetPrefixed ( $this->name, 'machine'),
        ];

        return \implode (' ', $classes);
    }
}