<?php

namespace JimsCustomerBooking\Admin\BackendPages;

use JimsCustomerBooking\Helpers\OptionHelper;
use JimsCustomerBooking\Helpers\SettingsHelper;
use JimsCustomerBooking\Helpers\StringHelper;
use JimsCustomerBooking\Jims_Options;

/**
 * This page contains settings for the customer booking plugin
 * Settings include:
 * - Slack integration
 * - Email integration
 * - Delete bookings schedule (every 3 months)
 */
class CustomerBookingSettingsPage extends BackendPage
{

    use SettingsTrait;
    /**
     * @var string
     */
    protected $name = 'Old Form Settings';

    /**
     * @var string
     */
    protected $menu_slug = 'cb_form_settings.php';

    /**
     * @var string
     */
    protected $menu_title = 'CB20 Settings';

    /**
     * @var string
     */
    protected $template_name = 'settings';

    protected $parent_slug = 'wpcb_settings.php';

    protected $hide_menu_item = true;

    public function GetContent()
    {
        /**
         * @var Jims_Options|string $options
         */
        $options = OptionHelper::get('form', new Jims_Options());
        if( !($options instanceof Jims_Options) ){
            $options = unserialize($options);
        }

        ($this->GetTemplate())->render([
            'title' => $this->name,
            'fields' => $options->getProperties(),
            'jims_options' => $options,
            'pages' => SettingsHelper::getSettingsPages (),
            'css_class' => StringHelper::GetPrefixed('wrapper'),
            'parts' => $this->GetParts ()
        ]);
    }
}