<?php
/**
 *
 */

namespace JimsCustomerBooking\Admin\BackendPages;

use JimsCustomerBooking\Helpers\OptionHelper;
use JimsCustomerBooking\Helpers\SettingsHelper;
use JimsCustomerBooking\Helpers\StringHelper;
use JimsCustomerBooking\Template;

if( ! class_exists('JimsCustomerBooking\Admin\BackendPages\FormCustomizeSettingsPage')){
    class FormCustomizeSettingsPage extends BackendPage {

        use SettingsTrait;

        /**
         * @var string
         */
        protected $name = 'Form Customizer';

        /**
         * @var string
         */
        protected $menu_title = 'Form Customizer';

        protected $parent_slug = 'wpcb_form_customize_settings.php';

        /**
         * @var string
         */
        protected $menu_slug = 'wpcb_form_customize_settings.php';

        /**
         * @var string
         */
        protected $template_name = 'settings.customize';

        /**
         * @var string $option_name
         */
        public static $option_name = '';

        protected $hide_menu_item = true;

        public function GetContent()
        {
            $options = OptionHelper::get (static::$option_name, []);

            ($this->GetTemplate ())->render ([
                'title' => $this->name,
                'options' => $options,
                'pages' => SettingsHelper::getSettingsPages (),
                'css_class' => StringHelper::GetPrefixed ('wrapper'),
                'parts' => $this->GetParts ()
            ],true, '</div></div></div>');
        }
    }
}