<?php

namespace JimsCustomerBooking\Helpers;

class ColorHelper extends Helper
{
    /**
     * @param string $hex
     */
    public static function hexToRgb($hex){
        $hex = str_replace("#", "", $hex);

        if(strlen($hex) == 3){
            $r = hexdec(substr($hex,0,1).substr($hex,0,1));
            $g = hexdec(substr($hex,1,1).substr($hex,1,1));
            $b = hexdec(substr($hex,2,1).substr($hex,2,1));
        } else{
            $r = hexdec(substr($hex,0,2));
            $g = hexdec(substr($hex,2,2));
            $b = hexdec(substr($hex,4,2));
        }

        return array($r, $g, $b);
    }

    /**
     * @param string $red
     * @param string $green
     * @param string $blue
     */
    public static function rgbToHex($red, $green, $blue)
    {
        $red = dechex($red);
        $green = dechex($green);
        $blue = dechex($blue);

        return "#" . $red . $green . $blue;
    }

    /**
     * @param string $hex
     * @param int $percent
     */
    public static function darken(string $hex, $percent = 10, $returnAsString = true){
        $rgb = self::hexToRgb($hex);
        $r = $rgb[0];
        $g = $rgb[1];
        $b = $rgb[2];

        $r = round($r * (100 - $percent) / 100);
        $g = round($g * (100 - $percent) / 100);
        $b = round($b * (100 - $percent) / 100);

        return $returnAsString ? self::rgbToHex($r, $g, $b) : array($r, $g, $b);
    }

    /**
     * @param string $hex
     * @param int $percent
     */
    public static function lighten(string $hex, $percent = 10)
    {
        $rgb = self::hexToRgb($hex);
        $r = $rgb[0];
        $g = $rgb[1];
        $b = $rgb[2];

        $r = round($r * (100 + $percent) / 100);
        $g = round($g * (100 + $percent) / 100);
        $b = round($b * (100 + $percent) / 100);

        return self::rgbToHex($r, $g, $b);
    }
}