<?php

namespace JimsCustomerBooking\Helpers;

class SettingsHelper
{

    /**
     * This should run after admin_init hook
     *
     * @return array|array[]
     */
    public static function getSettingsPages(){
        /**
         * @var \JimsCustomerBooking\Jims_Plugin $jims_instance
         */
        global $jims_instance;

        $backend_pages = array_map (function ($page) {
            if( empty($page->getHook()) ) return null;

            return [
                'title' => $page->GetTitle (),
                'slug' => $page->GetMenuSlug (),
                'url' => \menu_page_url ($page->GetMenuSlug (true), false)
            ];
        }, $jims_instance->getRegistered ('backend_pages'));

        //remove first page
        array_shift ($backend_pages);

        return $backend_pages;
    }
}