<?php

namespace JimsCustomerBooking\Integrations;

/**
 * This class is the base class for all notifications
 */
abstract class ANotification
{

    const NOTIFICATION_SERVICE_EMAIL = 'email';

    const NOTIFICATION_SERVICE_DIRECT = 'direct';

    const NOTIFICATION_TYPE_NOTIFICATION = 'notification';

    const NOTIFICATION_TYPE_ERROR = 'error';

    const NOTIFICATION_TYPE_INFO = 'success';


    protected $test_mode = false;

    /**
     * @var string
     */
    protected string $apiKey = '';

    /**
     * @var string
     */
    protected string $service = '';

    /**
     * @var string
     */
    protected array $messages = [];


    /**
     *
     * @var array
     */
    protected array $service_response = [];


    /**
     * @return string|array
     */
    public function getMessage($type): string|array
    {
        return $this->messages[$type] ?? '';
    }

    /**
     * @param string $message
     */
    public function setMessage(string|array $message, $type = self::NOTIFICATION_TYPE_NOTIFICATION): void
    {
        $this->message[$type] = $message;
    }

    /**
     * @param $vars
     * @return bool
     */
    abstract function send(string $type = self::NOTIFICATION_TYPE_NOTIFICATION);

    /**
     * @return array
     */
    public function getMessages(): array
    {
        return $this->messages;
    }

    /**
     * @return array
     */
    public function getServiceResponse(): array
    {
        return $this->service_response;
    }

    /**
     * @param array $service_response
     */
    public function setServiceResponse(array $service_response): void
    {
        $this->service_response = $service_response;
    }


}