<?php

namespace JimsCustomerBooking\RestfulAPI;

use JimsCustomerBooking\Jims_Plugin;
use JimsCustomerBooking\Services\TokenManager;

class AuthenticationController extends RestController
{
    protected $route = 'auth';

    public function register_routes(){
        register_rest_route($this->get_namespace(), '/' . $this->get_route () . '/get', [
            [
                'methods' => \WP_REST_Server::CREATABLE,
                'callback' => array($this, 'generate_token'),
                'permission_callback' => [$this, 'checkPermissions'],
            ]
        ]);
    }

    public function generate_token(\WP_REST_Request $request){
        //random string
        $random_string = TokenManager::generateRandomString(random_int(10, 20));

        //set header for no cache
        header("Cache-Control: no-cache, must-revalidate");

        if($request->has_param('duration')){
            $duration = $request->get_param('duration');
        } else {
            $duration = '10 minutes';
        }

        return $this->response([
            'token' => TokenManager::encode($this->key, Jims_Plugin::PREFIX . $random_string)
        ]);
    }
}