<?php

namespace JimsCustomerBooking\Shortcodes;

use JimsCustomerBooking\Helpers\StringHelper;
use JimsCustomerBooking\Template;

if (!class_exists ('JimsCustomerBooking\Shortcodes\CBFormShortCode')) {


    class CBFormShortCode extends Shortcode
    {

        /**
         * @var string
         */
        protected $template = 'shortcode.cbform';

        /**
         * @var array
         */
        protected $default_attributes = [];

        /**
         * @return string[]
         */
        public function Configuration()
        {
            return [
                'shortcode_id' => StringHelper::GetPrefixed ('form', 'machine'),
                'label' => 'CB Form',
                'template' => 'booking-report.list'
            ];
        }

        /**
         * @param $atts
         * @param $content
         * @return false|mixed|string
         */
        public function Handler($atts, $content)
        {
            $css_classes = ['wpcb', 'wpcb-form__embedded', $this->shortcode_id . '-' . mt_rand (111, 9999)];

            $atts = shortcode_atts ($this->GetAtts ([
                'division_id' => '',
                'service_id' => '',
                'class' => implode (' ', $css_classes),
            ]), $atts, $this->shortcode_id);

            $template = new Template($this->template);
            return $template->get ($atts + ['content' => $content]);
        }
    }
}