<?php

namespace JimsCustomerBooking\Shortcodes;

if( ! class_exists('JimsCustomerBooking\Shortcodes\Shortcode')){

    /**
     * Class Shortcode
     *
     * @property $shortcode_id
     * @property $label
     * @property $template
     */
    abstract class Shortcode {

        /**
         * @var array
         */
        protected $config = [];

        /**
         * @var string
         */
        protected $prefix = 'wpcb';

        /**
         * @var array
         */
        protected $default_attributes = [];

        /**
         *
         */
        public function __construct()
        {
            $this->config = array_merge($this->config, $this->Configuration());
            add_shortcode($this->config['shortcode_id'], array($this, 'Handler'));
        }

        /**
         * @return mixed
         */
        abstract public function Configuration();

        /**
         * @param $atts
         * @param $content
         * @return mixed
         */
        abstract public function Handler($atts, $content);


        /**
         * @return array
         */
        protected function GetAtts( array $calculated_atts = []){

            return $calculated_atts;

            return count($calculated_atts) > 0
                ?  array_merge($calculated_atts, $this->default_attributes)
                : $this->default_attributes;
        }

        /**
         * @param $name
         * @return mixed|null
         */
        public function __get($name)
        {
            $config = $this->Configuration();
            if( isset( $config[ $name ] ) ){
                return $config[$name];
            }
            return null;
        }

        /**
         * @param $name
         * @param $arguments
         * @return null
         */
        public function __call($name, $arguments)
        {
            return null;
        }
    }
}