<?php

namespace JimsCustomerBooking\Validators;

class JsonValidator extends Validator
{
    /**
     * @param $string
     * @return bool
     */
    public static function isJson($string) {
        if(!is_string($string)) return false;

        json_decode($string);
        return (json_last_error() == JSON_ERROR_NONE);
    }

    public static function isJsonArray($string) {
        if(!is_string($string)) return false;

        $data = json_decode($string, true);
        return (json_last_error() == JSON_ERROR_NONE && is_array($data));
    }

    public static function isNotEmptyObject($obj, $key_min_count = 1)
    {
        $validator = new self();
        return !$validator->isObjectEmpty($obj) && $validator->objectKeyCount($obj) >= $key_min_count;
    }
}