<?php
/** @var Jims_Options $jimsOption */

use JimsCustomerBooking\Jims_Plugin;

?>
<div class="wrap">
    <h1><?php _e("Jim's Group Plugin", 'jims'); ?></h1>
    <?php
    $validation_errors = get_transient(Jims_Plugin::TRANSIENT_PREFIX . get_current_user_id());
    delete_transient(Jims_Plugin::TRANSIENT_PREFIX . get_current_user_id());
    if (!empty($validation_errors)):
        ?>
        <div class="notice notice-<?php echo $validation_errors['success'] ? 'success' : 'error'; ?> is-dismissible">
            <p><?php echo $validation_errors['msg']; ?></p>
        </div>
    <?php
    endif;
    ?>
    <form action="<?php echo admin_url('admin-post.php'); ?>" method="post" id="jims-form">
<!--    <form action="options.php" method="post" id="jims-form">-->
        <input type="hidden" value="jimsform" name="action">
        <?php wp_nonce_field(); ?>
        <table class="form-table" role="presentation">
            <tbody>
            <tr>
                <th scope="row">
                    <label for="divisionid"><?php _e('Division ID', 'jims'); ?></label>
                </th>
                <td>
                    <input id="divisionid" name="divisionid" type="number" required class="regular-text" min="1" value="<?php echo $jimsOption->getDivisionId(); ?>"/>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <label for="jimsproperty"><?php _e('Jims Property', 'jims'); ?></label>
                </th>
                <td>
                    <input id="jimsproperty" name="jimsproperty" type="text" class="regular-text" required value="<?php echo $jimsOption->getJimsproperty(); ?>"/>
                    <p class="description"><?php _e("Division ID & Jims Property must be both either blank, either completed", 'jims'); ?></p>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <label for="primarycolor"><?php _e('Primary Color', 'jims'); ?></label>
                </th>
                <td>
                    <input id="primarycolor" name="primarycolor" type="text" class="regular-text" required maxlength="6" minlength="6" value="<?php echo $jimsOption->getPrimaryColor(); ?>"/>
                    <p class="description"><?php _e("Hexadecimal format (e.g. EDDF00)", 'jims'); ?></p>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <label for="textcolor"><?php _e('Text Color', 'jims'); ?></label>
                </th>
                <td>
                    <input id="textcolor" name="textcolor" type="text" class="regular-text" required maxlength="6" minlength="6" value="<?php echo $jimsOption->getTextColor(); ?>"/>
                    <p class="description"><?php _e("Hexadecimal format (e.g. EDDF00)", 'jims'); ?></p>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <label for="logourl"><?php _e('Logo Url', 'jims'); ?></label>
                </th>
                <td>
                    <input id="logourl" name="logourl" type="text" class="regular-text" required value="<?php echo $jimsOption->getLogoUrl(); ?>"/>
                    <p class="description"><?php _e("Full uri to Logo image", 'jims'); ?></p>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <label for="gtm"><?php _e('GTM tag', 'jims'); ?></label>
                </th>
                <td>
                    <input type="text" id="gtm" name="gtm" value="<?php echo $jimsOption->getGtm(); ?>" required/>
                    <p class="description"><?php _e("GTM Tracking ID (e.g. GTM-XXXXXX)", 'jims'); ?></p>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <label for="cssselector"><?php _e('CSS selector', 'jims'); ?></label>
                </th>
                <td>
                    <input type="text" id="cssselector" required name="cssselector" value="<?php echo $jimsOption->getCssSelector(); ?>"/>
                    <p class="description"><?php _e("Comma separated list of CSS selectors which will trigger the iframe", 'jims'); ?></p>
                </td>
            </tr>
            </tbody>
        </table>
        <p class="submit">
            <input type="submit" name="jims-submit" id="jims-submit" class="button button-primary" value="<?php _e('Save Changes', 'jims'); ?>"/>
        </p>
    </form>
</div>

<div class="jims-signature"><?php
    printf(__('Powered by Jims Group v.%s', 'jims'), JIMS_CBP_VERSION);
    ?></div>