<?php
/**
 * @var $pages array
 * @var $url array
 */


$icon = [
    "wpcb_settings.php" => "fa-gear",
    "wpcb_form_customize_settings.php" => "fa-pen-to-square",
    "customer_bookings.php" => "fa-chart-line",
    "cb_form_settings.php" => "fa-screwdriver-wrench",
    "cb_link_generator.php" => "fa-link",
    "cb_shortcode_generator.php" => "fa-code",
];

$current_page = $_GET['page'] ?? '';
?>


<div class="jims-d-container" id="jims-settings-dashboard">
    <div class="jims-d-menu-container-1">
        <div class="jims-d-menu-toggle" id="jims-toggle-menu">
            <i class="fa-solid fa-angles-left"></i>
            <i class="fa-solid fa-angles-right"></i>
        </div>
        <div class="jims-d-menu-logo">
            <?php do_action(\JimsCustomerBooking\Helpers\StringHelper::GetPrefixed('jims_logo')); ?>
            <a href="#">Jim's WPCB</a>
        </div>
        <div class="jims-d-menu-container">
            <h3 class="jims-d-menu-title">
                Settings
            </h3>
            <!--            <div class="jims-d-menu-search">-->
            <!--                <input type="text" placeholder="Search Settings">-->
            <!--            </div>-->
            <?php if( is_admin () && isset($_GET['debug_mode']) ): ?>
            <div class="jims-d-menu-toolbar">
                <div class="buttons">
                    <input type="button" class="button delete" id="delete-wpcb-caches" value="Delete Cache">
                    <input type="button" class="button" id="update-leads-record" value="Update Leads Record">
                </div>
                <p class="notifications"></p>
            </div>
            <?php endif; ?>
            <div class="jims-d-menu">
                <?php foreach ($pages as $menuItem) : ?>
                    <?php
                    $iconClass = $icon[$menuItem["slug"]] ?? '';
                    // Check if the link is active
                    $isActive = ($current_page === $menuItem["slug"]) ? 'active' : '';
                    ?>
                    <a href="<?= $menuItem["url"] ?>" class="<?= $isActive ?>"><i
                                class="fa-solid <?= $iconClass ?>"></i> <span><?= $menuItem["title"] ?></span></a>
                <?php endforeach; ?>
            </div>
        </div>
    </div>
    <div class="jims-d-content">
        <div class="jims-d-content-title">
            <h1>{{title}}</h1>
            <p>{{description}}</p>
        </div>
        <div class="jims-d-content-inner">
            <script>
                document.addEventListener('DOMContentLoaded', function () {
                    // Wait for the document to be fully loaded and ready

                    var toggleMenu = document.getElementById('jims-toggle-menu');
                    var settingsDashboard = document.getElementById('jims-settings-dashboard');
                    var windowWidth = window.innerWidth;

                    function toggleClasses() {
                        toggleMenu.classList.toggle('jims-closed');
                        settingsDashboard.classList.toggle('jims-menu-collapsed');
                    }

                    function addClassesForSmallScreens() {
                        if (windowWidth < 960) {
                            toggleMenu.classList.add('jims-closed');
                            settingsDashboard.classList.add('jims-menu-collapsed');
                        }
                    }

                    function removeClassesForLargeScreens() {
                        if (windowWidth >= 960) {
                            toggleMenu.classList.remove('jims-closed');
                            settingsDashboard.classList.remove('jims-menu-collapsed');
                        }
                    }

                    // Initial check for screen width
                    addClassesForSmallScreens();

                    // Toggle behavior for the menu click
                    toggleMenu.addEventListener('click', function () {
                        toggleClasses();
                    });

                    // On window resize, update classes based on screen width
                    window.addEventListener('resize', function () {
                        windowWidth = window.innerWidth;
                        if (windowWidth < 960) {
                            addClassesForSmallScreens();
                        } else {
                            removeClassesForLargeScreens();
                        }
                    });
                });

            </script>
