<?php
/**
 * @var string $division_id
 * @var array $service_ids
 * @var string $logo_url
 * @var string $hide_logo
 * @var string $class
 * @var string $phone_number
 * @var string $show_country
 * @var string $show_info_text
 * @var string $address_text
 * @var string $details_text
 * @var string $description_text
 * @var array $required_fields
 */

$texts = [
    'address_text' => !empty($address_text) ? $address_text : 'The location of the work to be done or your location. We will find a Jim’s expert that is local to you.',
    'details_text' => !empty($details_text) ? $details_text : 'Your Details.',
    'description_text' => !empty($description_text) ? $description_text : 'Tell us a little more about the work (Optional).'
];

?>

<!-- STEP: CLIENT INFORMATION -->
<div class="{{prefix_class}}__step step client-info jims-reverse-services hidden" data-name="info">
    <div class="{{prefix_class}}__step__selected_services selected_services">
        <ul></ul>
    </div>

    <div class="{{prefix_class}}__step__client_information">


        <!-- LOCATION INFORMATION: COUNTRY, ADDRESS -->
        <h2 class="{{prefix_class}}-form__heading<?php echo $show_info_text !== 1 ? ' hidden' : ''; ?>"><?php echo $texts['address_text']; ?></h2>
        <div class="{{prefix_class}}__step__client_information__location">
            <div class="{{prefix_class}}__step__client_information__location__country">
                <!--                            <label for="country">Country</label>-->
                <select name="country" autocomplete="off" <?php echo $show_country !== 1 ? 'disabled' : ''; ?> required>
                    <option value="AU" selected>Australia</option>
                    <option value="NZ">New Zealand</option>
                </select>
            </div>
            <div class="{{prefix_class}}__step__client_information__location__address form-address-field has-icon">
                <!--                            <label for="address">Address</label>-->
                <input type="text" id="address" name="address" placeholder="Address *" autocomplete="off"
                       required>
                <div class="icon icon-country" id="jims-wpcb-form-country-icon">
                    <img src="{{images_base_url}}/au.png" class="field-loader-flag" alt="au flag">
                    <img src="{{images_base_url}}/loader.gif" class="field-loader-icon" alt="loading">
                </div>


                <div class="{{prefix_class}}__autocomplete"></div>
                <small class="address-error-message hidden" style="color: red"></small>
            </div>

            <div class="{{prefix_class}}__step__client_information__location__alt">
                <h2 class="{{prefix_class}}-form__heading<?php echo $show_info_text !== 1 ? ' hidden' : ''; ?>">Pick
                    your exact location on the map</h2>
                <div class="jims-fields">
                    <div class="{{prefix_class}}__step__client_information__location_alt_street_number">
                        <input type="text" name="street_number" placeholder="Street Number">
                    </div>
                    <div class="{{prefix_class}}__step__client_information__location_alt_street_name">
                        <input type="text" name="street_name" placeholder="Street Name">
                    </div>
                    <div class="{{prefix_class}}__step__client_information__location_alt_suburb">
                        <input type="text" name="suburb" placeholder="Suburb">
                    </div>
                    <div class="{{prefix_class}}__step__client_information__location_alt_state">
                        <input type="text" name="state" placeholder="State">
                    </div>
                    <div class="{{prefix_class}}__step__client_information__location_alt_postcode">
                        <input type="text" name="postcode" placeholder="Postcode">
                    </div>
                    <div class="{{prefix_class}}__step__client_information__location_alt_unit_number">
                        <input type="text" name="unit_number" placeholder="Unit Number (optional)">
                    </div>
                </div>
                <div class="{{prefix_class}}__step__client_information__location__alt_map">

                </div>


            </div>

        </div>
        <?php echo $show_info_text !== 1 ? '<br/>' : ''; ?>

        <!-- CLIENT INFORMATION -->
        <h2 class="{{prefix_class}}-form__heading<?php echo $show_info_text !== 1 ? ' hidden' : ''; ?>"><?php echo $texts['details_text']; ?></h2>
        <div class="{{prefix_class}}__step__client_information__details">
            <div class="{{prefix_class}}__step__client_information__firstname has-icon">
                <!--                            <label for="name">Name</label>-->
                <input type="text" name="firstname" placeholder="First Name <?php echo in_array('firstname', $required_fields) ? '*' : ''; ?>" <?php echo in_array('firstname', $required_fields) ? 'required' : ''; ?>>
                <div class="icon">
                    <img decoding="async" src="{{images_base_url}}/user.png" alt="">
                </div>
            </div>
            <div class="{{prefix_class}}__step__client_information__lastname has-icon">
                <!--                            <label for="name">Name</label>-->
                <input type="text" name="lastname" placeholder="Last Name <?php echo in_array('lastname', $required_fields) ? '*' : ''; ?>" <?php echo in_array('lastname', $required_fields) ? 'required' : ''; ?>>
                <div class="icon">
                    <img decoding="async" src="{{images_base_url}}/user.png" alt="">
                </div>
            </div>
            <div class="{{prefix_class}}__step__client_information__email has-icon">
                <!--                            <label for="email">Email</label>-->
                <input type="email" name="email" placeholder="Email <?php echo in_array('email', $required_fields) ? '*' : ''; ?>" <?php echo in_array('email', $required_fields) ? 'required' : ''; ?>>
                <div class="icon">
                    <img decoding="async" src="{{images_base_url}}/mail.png" alt="">
                </div>
            </div>
            <div class="{{prefix_class}}__step__client_information__phone has-icon">
                <!--                            <label for="phone">Phone</label>-->
                <input type="tel" name="phone" placeholder="Phone <?php echo in_array('phone', $required_fields) ? '*' : ''; ?>" <?php echo in_array('phone', $required_fields) ? 'required' : ''; ?>>
                <div class="icon">
                    <img decoding="async" src="{{images_base_url}}/phone.png" alt="">
                </div>
            </div>
            <div class="{{prefix_class}}__step__client_information__business has-icon">
                <!--                            <label for="name">Name</label>-->
                <input type="text" name="businessName" placeholder="Business Name <?php echo in_array('businessName', $required_fields) ? '*' : '(Optional)'; ?>" <?php echo in_array('businessName', $required_fields) ? 'required' : ''; ?>>
                <div class="icon">
                    <img decoding="async" src="{{images_base_url}}/business.png" alt="">
                </div>
            </div>
        </div>
        <h2 class="{{prefix_class}}-form__heading<?php echo $show_info_text !== 1 ? ' hidden' : ''; ?>"><?php echo $texts['description_text']; ?></h2>
        <?php echo $show_info_text !== 1 ? '<br/>' : ''; ?>
        <div class="{{prefix_class}}__step__client_information__comments">
            <!--                            <label for="notes">Notes</label>-->
            <textarea name="comments" rows="3" placeholder="Give us a general idea <?php echo in_array('comments', $required_fields) ? '*' : '(Optional)'; ?>" <?php echo in_array('comments', $required_fields) ? 'required' : ''; ?>></textarea>
        </div>

        <p class="{{prefix_class}}-form__message message"></p>
    </div>
</div>