<?php
/**
 * @var $css_class string
 * @var $title     string
 * @var $options   array
 * @var $pages     array
 * @var $parts     array
 */

/**
 * @var $header \JimsCustomerBooking\Template
 * @var $footer \JimsCustomerBooking\Template
 */
$header = $footer = null;

$header = $parts['header'];
$footer = $parts['footer'];
//extract ($parts);
?>
<script>
    window.wpcbSecret = '<?php echo 'admin_' . md5('admin'); ?>';
</script>

<?php if (!empty($header)): ?>
    <?php $header->render([
        'title' => 'Services Settings ',
        'description' => 'This page, allows to modify the behavior of Jim\'s customer booking form (native)',
        'pages' => $pages,
        'url' => get_template_directory_uri()
    ], true); ?>
<?php endif; ?>

<div class="<?php echo $css_class ?>">
    <section class="jims-main">
        <form id="jims-form-customizer">
            <div class="settings-text settings-text--blue">
                <ul>
                    <li>Make sure to configure the Settings of your division for this page to work.</li>
                </ul>
            </div>


            <div class="jims-settings-group">
                <h3 class="jims-settings-group-title">Custom Service Order</h3>

                <!--                <label>-->
                <!--                    Popularity Based-->
                <!--                    <span class="jims-switch round">-->
                <!--                        <input type="checkbox" name="popularity_based" id="popularity-based" value="0">-->
                <!--                        <span class="jims-switch-slider"></span>-->
                <!--                    </span>-->
                <!--                </label>-->

                <label class="mb-10-i">
                    Alphabetical Order
                    <span class="jims-switch round">
                        <input type="checkbox" name="alphabetical_order" id="alphabetical-order" value="1" checked>
                        <span class="jims-switch-slider"></span>
                    </span>
                </label>

                <h5 class="jims-settings-group-subtitle">Custom Service Order</h5>

                <label class="mb-4-i">
                    Enable Custom Order
                    <span class="jims-switch round">
                        <input type="checkbox" name="custom_order" id="custom-order" value="0">
                        <span class="jims-switch-slider"></span>
                    </span>
                </label>

                <small>The biggest the number (gravity), higher the position</small>
                <div class="jims-services-order disabled">
                    <ul></ul>
                </div>
            </div>
            <br><br>
            <div class="jims-settings-group">
                <h3 class="jims-settings-group-title">Categories</h3>

                <label class="mb-4-i">
                    Enable Category Grouping
                    <span class="jims-switch round">
                            <input type="checkbox" name="categories_enabled" id="jims-service-categories-enabled"
                                   value="0">
                            <span class="jims-switch-slider"></span>
                        </span>
                </label>


                <small>Categories are used to group services in the booking form</small>
                <div class="jims-service-panel categories disabled">
                    <div class="jims-service-panel-add">
                        <input type="text" placeholder="New category name...">
                        <a href="#">Add <i class="fa-solid fa-plus"></i></a>
                    </div>
                    <div class="jims-service-panel-container">
                    </div>
                </div>
            </div>
            <br><br>
            <div class="jims-settings-group">
                <h3 class="jims-settings-group-title">Service Descriptions</h3>

                <label class="mb-4-i">
                    Enable Service Descriptions
                    <span class="jims-switch round">
                            <input type="checkbox" name="service_descriptions_enabled"
                                   id="jims-service-descriptions-enabled"
                                   value="0">
                            <span class="jims-switch-slider"></span>
                    </span>
                </label>

                <div class="jims-service-panel service-descriptions disabled mb-4">
                    <div class="jims-service-panel-container">
                    </div>
                </div>

                <br><br>
<!--                <div class="jims-settings-group">-->
<!--                    <h3 class="jims-settings-group-title">Service Lists</h3>-->
<!---->
<!--                    <div class="jims-service-panel service-lists">-->
<!--                        <div class="jims-service-panel-add">-->
<!--                            <input type="text" placeholder="New list name...">-->
<!--                            <a href="#">Add <i class="fa-solid fa-plus"></i></a>-->
<!--                        </div>-->
<!--                        <div class="jims-service-panel-container">-->
<!--                            <div class="jims-service-panel-item expanded">-->
<!--                                <div class="jims-service-panel-item-title">This is list <i-->
<!--                                            class="fa-solid fa-chevron-down"></i></div>-->
<!--                                <div class="jims-service-panel-item-content">-->
<!--                                    <div class="jims-service-panel-item-service-search">-->
<!--                                        <input type="text" name="list-service-add" placeholder="Add Service">-->
<!--                                        <a href="#">Add <i class="fa-solid fa-plus"></i></a>-->
<!--                                    </div>-->
<!--                                    <ul class="jims-service-panel-item-service-list">-->
<!--                                        <li class="jims-service-panel-item-service-list-item">-->
<!--                                    <span class="service_name">-->
<!--                                        Example Service <span class="service_id">-->
<!--                                            ID: 4532-->
<!--                                        </span>-->
<!--                                    </span>-->
<!--                                            <a href="#" class="remove"><i class="fa-solid fa-times"></i></a>-->
<!--                                        </li>-->
<!--                                    </ul>-->
<!---->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                    </div>-->
<!--                </div>-->
<!--                <br><br>-->
                <!--            <div class="jims-settings-group">-->
                <!--                <h3 class="jims-settings-group-title">Custom Step - Dog Breed</h3>-->
                <!--                <p>Add available Dog Breeds</p>-->
                <!--                <h5 class="jims-settings-group-subtitle">DOG BREEDS</h5>-->
                <!--                <div class="jims-services-order">-->
                <!--                    <div class="jims-dogbreed-add">-->
                <!--                        <input type="text" placeholder="Add Dog Breed">-->
                <!--                        <a href="#">Add <i class="fa-solid fa-plus"></i></a>-->
                <!--                    </div>-->
                <!--                    <ul>-->
                <!--                        <li class="jims-dogbreed-item">-->
                <!--                            <i class="fa-solid fa-chevron-up"></i>-->
                <!--                            <i class="fa-solid fa-chevron-down"></i>-->
                <!--                            <span class="dogbreed_name">-->
                <!--                               Example Dog Breed-->
                <!--                            </span>-->
                <!--                            <a href="#" class="remove"><i class="fa-solid fa-times"></i></a>-->
                <!---->
                <!--                        </li>-->
                <!--                        <li class="jims-dogbreed-item">-->
                <!--                            <i class="fa-solid fa-chevron-up"></i>-->
                <!--                            <i class="fa-solid fa-chevron-down"></i>-->
                <!--                            <span class="dogbreed_name">-->
                <!--                               Example Dog Breed #2-->
                <!--                            </span>-->
                <!--                            <a href="#" class="remove"><i class="fa-solid fa-times"></i></a>-->
                <!---->
                <!--                        </li>-->
                <!--                    </ul>-->
                <!--                </div>-->
                <!--            </div>-->
                <div class="button-wrapper">
                    <input id="save-form" class="button button-primary" type="submit" value="Save Values">

                    <!-- Clear Form Button -->
                    <!--                <input id="clear-form" type="reset" class="button button-warning" value="Clear Form">-->

                    <!-- Delete Form Button -->
                    <input id="delete-form" type="button" class="button button-danger" value="Delete Values">
                </div>
        </form>
    </section>
</div>









