# Customer Booking

## Documentation Links

- Jims CB Documentation https://docs.google.com/document/d/1jEAnupAE2YdL4u_vSPi1y7Adprgnm2KjJIaifqydc8M/edit?usp=sharing
- Customer Booking Plugin Documentation _(same documentation in more user friendly format)_ https://docs.google.com/document/d/18ybAQpufNffFfqyKnzbErYDG8UuplZBLJv47qB-TJn0/edit?usp=sharing

## How to install
In the wordpress backend, select from the side menu, **Plugins**. In the top right corner select **Add New**. In top right corner, select **Upload Plugin**. Tt shows an upload prompt, click **Choose File**, find the plugin's zip file and click Install. And then, navigate again on the plugins page, find the plugin by name and click **Activate**. The page will reload, then you can click the Settings link to start setting up the plugin. By default the plugin get's all the settings automatically. But if you need to change any value you will able to change it.

### What Options we have available

The plugin uses some options to customize you jims booking form. Some of these are getting setup with default values. So if the option has a default value, and you want to change it, make sure it's working with the website and its valid within Jims Group system.

The available options are: 

- Division ID, you can get it from the jims support team, if you don't know it.
- Jims Property, this value is internal analytics value for FMS, it's basically the website's domain name (not URL).
- Primary Color, it's the your sites primary color, in order for the modal window to much the website's design. Each jim's site have a primary color, you can find it by looking the most common color (usually not found on text) in your jim's website.
- Text Color, same with the **Primary Color** it's the color you need to be the color of the popup's text, usually the same with you website's text color.
- Logo URL, it's the URI of an image. You jim's logo.
- GTM, it's you Google Tag Manager ID. You can get it by going to your Property's Admin panel of your Google Tag Manager Account. More info here https://www.analyticsmania.com/post/google-tag-manager-id/
- CSS Selector, basically it's the popup's window ID, but you can find more on the "How to use" section.

### Options Usage and Data Types

- Division ID, **integer number**. It's important, it can't be anything else.
- Jims Property, **string**, no longer than 255 characters eg. jimsmowing.com.au
- Primary Color, **hexadecimal number***, its length is either 6 or 8 characters. The **#** character in front of the number is important since, it's an indication that we describing a color eg. #00bbee or #00bbeeff
- Text Color, **hexadecimal number***, its length is either 6 or 8 characters. The **#** character in front of the number is important since, it's an indication that we describing a color eg. #00bbee or #00bbeeff
- Logo URL, **string**, a URI, eg. https://jims.net/media/2020/01/YourLocalExpert.png
- GTM, **string**, eg. GTM-PP68M3
- CSS Selector, **string**, you can use a word or expression, you can't use spaces, use dashes instead of spaces and you can't use any of the following special characters: !@#$%^&*();+~`'"\/|<>,.?{}[] eg. jims-group

## How to use

The plugin allows for now two types of integrations, the popup (modal window) feature and the embedded iframe. You can use both in the same page, however the analytics integration doesn't provide the information if the user made the submission from the popup or the embedded iframe.

### Popup window
The popup window is always available, in any page. You can trigger it, either by javascript or setting up the option **CSS Selector**, and use this string with a **#** character (hash) in front of the string at the end of the pages url. For example:   

``https://jimshandyman.com.au/victoria/melbourne#my-css-selector``

For example, we can set the CSS Selector as **jims-booking** (the default value for the CSS Selector is **jims**), in that case if any user navigates the URL:

``https://jimshandyman.com.au/victoria/melbourne#jims-booking``

will trigger a popup window with the jims cb.

### Embedded (iframe)

The iframe version is available as a shortcode `[jimscb]`. There is a shortcode generator option page under the main plugin's settings page. So you can generate your own if you need to change some option.  

## Notes

## TODO

- **Feature:** Enable option with custom security headers
- **Feature:** Enable getting default options remotely
- **Feature:** Enable override local options remotely
- **Feature:** Enable analytics logger

## Changelog

__2.0.0__
- Fixed Backend Settings page now saves data correctly
- Updated Backend, to allow more backend user roles to manage cb options
- Updated Backend settings field for Division id changed to Division and it's a dropdown list
- Added Backend settings field 'domain' to be able to change for testing
- Added Schema settings field to allow non https sites
- Added Customized Security headers
- Added CB iframe available as shortcode
- Added service attribute to cb shortcode to be able to skip the service selection step

__2.1.5__
- Updated Path Transfer to support new NavigationAPI on Chrome v103

__2.1.6 to 2.1.9__
- Safety and Compatibility updates

__2.1.10__
Added Capability for redirect to "Thank you" page on modal window


__2.1.16__
- **Feature:** CB iframe as a shortcode
- **Feature:** iframe shortcode generator option page 

__2.1.17__
- Fixes

__2.9.0__
- **Feature:** Added Native form support

__3.0.0__
- **Feature:** Full Featured Native form support