<?php

namespace JimsGroup;

use JimsGroup\Apis\CustomerBooking;
use JimsGroup\Apis\FMSAuthentication;
use JimsGroup\Apis\FMSInfo;
use JimsGroup\Apis\IApi;
use JimsGroup\Facade\Authenticate;

/**
 * Class Api
 *
 */
final class Api
{
    /**
     * @var string[]
     */
    private array $apis;

    public function __construct($mode = 'production')
    {
        $this->apis = $this->initApis();
    }

    private function initApis(): array
    {
        return [
            'customer_booking' => new CustomerBooking(),
            'fms_info' => new FMSInfo(),
            'auth' => new Authenticate()
        ];
    }

    /**
     * @param $api_name
     * @return IApi
     */
    private function getApi($api_name): IApi|string
    {
        return $this->apis[$api_name];
    }

    /**
     * @return FMSInfo
     */
    public function getFMSInfoApi(): mixed
    {
        return $this->getApi('fms_info');
    }

    /**
     * @return CustomerBooking
     */
    public function getCustomerBookingApi()
    {
        return $this->getApi('customer_booking');
    }
}