<?php

namespace JimsGroup\Apis;

use JimsGroup\Apis\AbstractApi;

class FranchiseeEnquiry extends AbstractApi
{
    /**
     * @var string[]
     */
    protected $paths = [
        'enquiry' => '/api/bookings/new-enquiry',
        'allocation' => '/api/bookings/allocation-request',
        'request' => '/api/bookings/send-request',
    ];

    public function prepareEnquiry($divisionId, $source)
    {
        $url = $this->getEndpointUrl('enquiry');

        //create payload
        $response = $this->get($url, [
            'divisionId' => $divisionId,
            'source' => $source,
        ]);

        return $response;
    }
}