<?php

namespace JimsGroup\Apis;

use JimsGroup\Apis\AbstractApi;

class FranchiseeInfo extends AbstractApi
{
    /**
     * @var string[]
     */
    protected $paths = [
        'single' => '/api/franchises/franchisees/{{franchiseid}}/areas',
        'state' => '/api/franchises/franchisees/state/{{stateCode}}/division/{{divisionId}}',
    ];

    /**
     * @param $franchiseId
     * @param $format
     * @return mixed|string
     */
    public function getFranchiseeAreas($franchiseId, $format = false): mixed
    {
        $url = $this->getEndpointUrl('single');
        $url = str_replace('{{franchiseid}}', $franchiseId, $url);
        $result = [];

        $response = $this->get($url);

        return $this->getResult($response, $format, $result);
    }

    /**
     * @param $stateCode
     * @param $divisionId
     * @param $format
     * @return mixed|string
     */
    public function getStateFranchisees($stateCode, $divisionId, $format = false)
    {
        $url = $this->getEndpointUrl('state');
        $url = str_replace(array('{{stateCode}}', '{{divisionId}}'), array($stateCode, $divisionId), $url);
        $result = [];

        $response = $this->get($url);

        return $this->getResult($response, $format, $result);
    }

    /**
     * @param string $response
     * @param mixed $format
     * @param mixed $result
     * @return mixed|string
     */
    public function getResult(string $response, mixed $format, mixed $result)
    {
        if (!empty($response)) {
            $result = $format === 'json' ? $response : \json_decode($response, true);
        } else {
            $result = $format === 'json' ? '' : $result;
        }
        return $result;
    }
}