<?php

namespace JimsGroup\Apis;

/**
 * This interface is used to define the methods that must be implemented by the FMS API,
 * except for the methods that are for authentication and the all the methods using GET.
 *
 * Interface IFmsApi
 * @package JimsGroup\Apis
 */
interface IFmsApi
{
    /**
     * Returns the token to be used in the http Authorization header
     * @return string
     */
    public function getHeaderAuthToken(): string;

    /**
     * Sets the token to be used in the http Authorization header
     *
     * @param string $header_auth_token
     * @return void
     */
    public function setHeaderAuthToken(string $header_auth_token): void;
}