<?php

namespace JimsGroup\Datatypes;

class AddressType extends Datatype
{
    protected $default = [
        'full_address' => '',
        'geocode_y' => 0,
        'geocode_x' => 0,
        'street_number' => '',
        'street_name' => '',
        'suburb' => '',
        'state' => '',
        'country' => '',
        'postcode' => 0,
        'unit_number' => ''
    ];

    protected $ignore_keys = ['unit_number'];

    //getters
    public function getFullAddress(): string
    {
        return $this->full_address;
    }

    public function getGeocodeY(): float
    {
        return $this->geocode_y;
    }

    public function getGeocodeX(): float
    {
        return $this->geocode_x;
    }

    public function getCoodinate(): array
    {
        return [$this->geocode_y, $this->geocode_x];
    }

    public function getStreetNumber(): string
    {
        return $this->street_number;
    }

    public function getStreetName(): string
    {
        return $this->street_name;
    }

    public function getSuburb(): string
    {
        return $this->suburb;
    }

    public function getState(): string
    {
        return $this->state;
    }

    public function getCountry(): string
    {
        return $this->country;
    }

    public function getPostcode(): int
    {
        return $this->postcode;
    }

}