<?php

namespace JimsGroup\Datatypes;

/**
 * @property array bookedProvider
 * @property array avaliableFSEs
 * @property int bookingRequestId
 * @property int previousFSEId
 * @property int bookingAddressId
 * @property int proposedProvidersAmount
 * @property int confirmCodes
 *
 */
class AllocationResponsePayloadType extends Datatype
{

    protected $default = [
        'bookedProvider' => [],
        'avaliableFSEs' => [],
        'bookingRequestId' => 0,
        'previousFSEId' => 0,
        'previousLeadId' => 0,
        'bookingAddressId' => 0,
        'proposedProvidersAmount' => 0,
        'confirmCodes' => 0,
        'bookingConfirmMsg' => '',
    ];

    protected $data = [];

    /**
     * @param array $data
     */
    public function getProviders()
    {

        if (isset($this->data['bookedProvider']) && !empty($this->data['bookedProvider'])) {
            return [$this->bookedProvider];
        }

        if (isset($this->data['avaliableFSEs']) && !empty($this->data['avaliableFSEs'])) {
            return $this->avaliableFSEs;
        }

        return null;
    }

    public function getAvailableFSEs()
    {
        return $this->avaliableFSEs;
    }

    /**
     * RETURNS either bookedProvider or first avaliableFSE
     *
     * @return array
     */
    public function getBookedProvider()
    {
        $providers = $this->getProviders ();
        return !empty($providers) ? $providers[0] : null;
    }

    public function getBookingRequestId()
    {
        return $this->bookingRequestId;
    }

    public function getPreviousFSEId()
    {
        return $this->previousFSEId;
    }

    public function getPreviousLeadId()
    {
        return $this->previousLeadId;
    }

    public function getBookingAddressId()
    {
        return $this->bookingAddressId;
    }

    public function getProposedProvidersAmount()
    {
        return $this->proposedProvidersAmount;
    }

    public function getConfirmCodes()
    {
        return $this->confirmCodes;
    }

    public function getBookingConfirmMsg()
    {
        return $this->bookingConfirmMsg;
    }
}