<?php

namespace JimsGroup\Datatypes;

class BookingAddress extends Datatype
{
    protected $default = [
        'full_address' => '',
        'geocode_y' => 0,
        'geocode_x' => 0,
        'geocode_accuracy' => 'ROOFTOP',
        'street_number' => 0,
        'street_name' => '',
        'suburb' => '',
        'state' => '',
        'country' => 'AU',
        'postcode' => 3038
    ];

    public function getFullAddress(): string
    {
        return $this->full_address;
    }

    public function getGeocodeY(): float
    {
        return $this->geocode_y;
    }

    public function getGeocodeX(): float
    {
        return $this->geocode_x;
    }

    public function getGeocodeAccuracy(): string
    {
        return $this->geocode_accuracy;
    }

    public function getStreetNumber(): int
    {
        return $this->street_number;
    }

    public function getStreetName(): string
    {
        return $this->street_name;
    }

    public function getSuburb(): string
    {
        return $this->suburb;
    }

    public function getState(): string
    {
        return $this->state;
    }

    public function getCountry(): string
    {
        return $this->country;
    }

    public function getPostcode(): int
    {
        return $this->postcode;
    }
}