<?php

namespace JimsGroup\Datatypes;


/**
 * Class FMSAuthResponseType
 *
 * @package JimsGroup\Auth
 *
 * @property string $iss
 * @property string $aud
 * @property int $exp
 * @property int $nbf
 * @property string $client_id
 * @property string $scope
 * @property string $sub
 * @property int $auth_time
 * @property string $idp
 * @property string $given_name
 * @property string $family_name
 * @property string $role
 * @property string $id
 * @property string $db_id
 * @property string $session
 * @property string $amr
 *
 */
class FMSAuthResponseType extends Datatype
{
    protected $default = [
        "iss" => "https://id.jims.net/identity",
        "aud" => "https://id.jims.net/identity/resources",
        "exp" => 0,
        "nbf" => 0,
        "client_id" => "fms_user",
        "scope" => [], //scope text separated by space
        "sub" => "",
        "auth_time" => 0,
        "idp" => "idsrv",
        "given_name" => "",
        "family_name" => "",
        "role" => "",
        "id" => "",
        "db_id" => "Live",
        "session" => "",
        "amr" => [
            "password"
        ]
    ];

    protected $data = [];

    /**
     * @param array $data
     * @return bool
     */
    public function validate(array $data)
    {
        return count (array_diff_key ($data, $this->default)) === 0;
    }

    public function __get($name)
    {
        return $this->data[$name] ?? null;
    }
}