<?php

namespace JimsGroup\Datatypes;

class ProviderInfo extends Datatype
{
    protected $default = [
        'business_id' => 0,
        'agaccount_id' => 0,
        'photo' => '',
        'display_name' => '',
        'company_name' => null,
        'user_name' => null,
        'suburb' => '',
        'state' => '',
        'country_id' => 0,
        'main_person_id' => 0,
        'is_jims_franchisee' => false,
        'default_franchisee' => false,
        'territory_holder' => false,
        'free_leads_remaining' => 0,
        'only_available_previous_client' => false,
        'is_police_checked' => false,
        'is_work_guaranteed' => false,
        'licenses' => [],
        'available_date_time' => '',
        'star_rating' => 0,
        'p_rating' => 0,
        'trust_number' => 0,
        'call_back_message' => '',
        'call_back_period' => '',
        'star_rating_count_one' => 0,
        'star_rating_count_two' => 0,
        'star_rating_count_three' => 0,
        'star_rating_count_four' => 0,
        'star_rating_count_five' => 0,
        'search_entry_id' => 0,
        'ppc_info_included' => false,
        'ppc_amount_in_cents' => 0,
        'effective_max_bid_in_cents' => 0,
        'minimum_bid_override' => null,
        'distance' => 0,
        'geocode_x' => 0,
        'geocode_y' => 0,
        'tie_breaker' => 0,
        'display_distance' => true,
        'package_free_leads' => 0,
        'is_gold_contractor' => false,
        'same_day_service' => false,
        'direct_transfer_from_cc' => false,
        'mobile' => null,
        'work_phone' => null,
        'home_phone' => null,
        'pl_insurance' => null,
        'id' => null,
        'date_created' => null,
        'date_modified' => null,
        'created_by_string' => null,
        'created_by_user_id' => null,
        'modified_by_string' => null,
        'modified_by_user_id' => null,
        'deleted' => null,
        'record_state' => null,
        'record_state_text' => 'Active'
    ];

    public function getBusinessId(): int
    {
        return $this->business_id;
    }

    public function getAgaccountId(): int
    {
        return $this->agaccount_id;
    }

    public function getPhoto(): string
    {
        return $this->photo;
    }

    public function getDisplayName(): string
    {
        return $this->display_name;
    }

    public function getCompanyName(): ?string
    {
        return $this->company_name;
    }

    public function getUserName(): ?string
    {
        return $this->user_name;
    }

    public function getSuburb(): string
    {
        return $this->suburb;
    }

    public function getState(): string
    {
        return $this->state;
    }

    public function getCountryId(): int
    {
        return $this->country_id;
    }

    public function getMainPersonId(): int
    {
        return $this->main_person_id;
    }

    public function getIsJimsFranchisee(): bool
    {
        return $this->is_jims_franchisee;
    }

    public function getDefaultFranchisee(): bool
    {
        return $this->default_franchisee;
    }

    public function getTerritoryHolder(): bool
    {
        return $this->territory_holder;
    }

    public function getFreeLeadsRemaining(): int
    {
        return $this->free_leads_remaining;
    }

    public function getOnlyAvailablePreviousClient(): bool
    {
        return $this->only_available_previous_client;
    }

    public function getIsPoliceChecked(): bool
    {
        return $this->is_police_checked;
    }

    public function getIsWorkGuaranteed(): bool
    {
        return $this->is_work_guaranteed;
    }

    public function getLicenses(): array
    {
        return $this->licenses;
    }

    public function getAvailableDateTime(): string
    {
        return $this->available_date_time;
    }

    public function getStarRating(): int
    {
        return $this->star_rating;
    }

    public function getPRating(): int
    {
        return $this->p_rating;
    }

    public function getTrustNumber(): int
    {
        return $this->trust_number;
    }

    public function getCallBackMessage(): string
    {
        return $this->call_back_message;
    }

    public function getCallBackPeriod(): string
    {
        return $this->call_back_period;
    }

    public function getStarRatingCountOne(): int
    {
        return $this->star_rating_count_one;
    }

    public function getStarRatingCountTwo(): int
    {
        return $this->star_rating_count_two;
    }

    public function getStarRatingCountThree(): int
    {
        return $this->star_rating_count_three;
    }

    public function getStarRatingCountFour(): int
    {
        return $this->star_rating_count_four;
    }

    public function getStarRatingCountFive(): int
    {
        return $this->star_rating_count_five;
    }

    public function getSearchEntryId(): int
    {
        return $this->search_entry_id;
    }

    public function getPpcInfoIncluded(): bool
    {
        return $this->ppc_info_included;
    }

    public function getPpcAmountInCents(): int
    {
        return $this->ppc_amount_in_cents;
    }

    public function getEffectiveMaxBidInCents(): int
    {
        return $this->effective_max_bid_in_cents;
    }

    public function getMinimumBidOverride(): ?string
    {
        return $this->minimum_bid_override;
    }

    public function getDistance(): int
    {
        return $this->distance;
    }

    public function getGeocodeX(): int
    {
        return $this->geocode_x;
    }

    public function getGeocodeY(): int
    {
        return $this->geocode_y;
    }

    public function getTieBreaker(): int
    {
        return $this->tie_breaker;
    }

    public function getDisplayDistance(): bool
    {
        return $this->display_distance;
    }

    public function getPackageFreeLeads(): int
    {
        return $this->package_free_leads;
    }

    public function getIsGoldContractor(): bool
    {
        return $this->is_gold_contractor;
    }

    public function getSameDayService(): bool
    {
        return $this->same_day_service;
    }

    public function getDirectTransferFromCc(): bool
    {
        return $this->direct_transfer_from_cc;
    }

    public function getMobile(): ?string
    {
        return $this->mobile;
    }

    public function getWorkPhone(): ?string
    {
        return $this->work_phone;
    }

    public function getHomePhone(): ?string
    {
        return $this->home_phone;
    }

    public function getPlInsurance(): ?string
    {
        return $this->pl_insurance;
    }

    public function getId(): ?string
    {
        return $this->id;
    }

    public function getDateCreated(): ?string
    {
        return $this->date_created;
    }

    public function getDateModified(): ?string
    {
        return $this->date_modified;
    }

    public function getCreatedByString(): ?string
    {
        return $this->created_by_string;
    }

    public function getCreatedByUserId(): ?string
    {
        return $this->created_by_user_id;
    }

    public function getModifiedByString(): ?string
    {
        return $this->modified_by_string;
    }

    public function getModifiedByUserId(): ?string
    {
        return $this->modified_by_user_id;
    }

    public function getRecordStateText(): ?string
    {
        return $this->record_state_text;
    }

    public function getRecordState(): ?string
    {
        return $this->record_state;
    }

    public function getIsDeleted(): ?string
    {
        return $this->is_deleted;
    }
}