<?php

namespace JimsGroup\Datatypes;

class Service extends AbstractEntity implements Arrayable
{

    protected $properties = [
        'id' => 0,
        'name' => '',
        'short_name' => '',
        'code' => '',
        'friendly_name' => '',
        'category_name' => '',
        'goblitz_name' => '',
    ];

    public function __construct($id, $name, $shortName, $code, $friendlyName, $goblitzName, $categoryName = '')
    {
        $this->properties['id'] = $id;
        $this->properties['name'] = $name;
        $this->properties['short_name'] = $shortName;
        $this->properties['code'] = $code;
        $this->properties['friendly_name'] = $friendlyName;
        $this->properties['goblitz_name'] = $goblitzName;
        $this->properties['category_name'] = $categoryName;
    }

    public function getId()
    {
        return $this->properties['id'];
    }

    public function getName(): string
    {
        return $this->properties['name'];
    }

    public function getShortName(): string
    {
        return $this->properties['short_name'];
    }

    public function getCode(): string
    {
        return $this->properties['code'];
    }

    public function getFriendlyName(): string
    {
        return $this->properties['friendly_name'];
    }

    public function getCategoryName(): string
    {
        return $this->properties['category_name'];
    }

    public function getGoblitzName(): string
    {
        return $this->properties['goblitz_name'];
    }

}