<?php

namespace JimsGroup\Datatypes;

class UserInfo extends Datatype
{
    protected $default = [
        'address' => null,
        'addressString' => '',
        'allow_rating' => true,
        'comments' => '',
        'isUserInfoConfirmed' => null,
        'emailAddress' => '',
        'firstName' => '',
        'lastName' => '',
        'phoneNumber' => '',
        'subscribed' => true,
        'businessName' => null
    ];

    public function getAddress(): ?BookingAddress
    {
        return $this->address;
    }

    public function getAddressString(): string
    {
        return $this->addressString;
    }

    public function getAllowRating(): bool
    {
        return $this->allow_rating;
    }

    public function getComments(): string
    {
        return $this->comments;
    }

    /**
     * @param string $comments
     * @return void
     */
    public function setComments(string $comments): void
    {
        $this->default['comments'] = $comments;
    }

    public function getIsUserInfoConfirmed(): ?bool
    {
        return $this->isUserInfoConfirmed;
    }

    public function getEmailAddress(): string
    {
        return $this->emailAddress;
    }

    public function getFirstName(): string
    {
        return $this->firstName;
    }

    public function getLastName(): string
    {
        return $this->lastName;
    }

    public function getPhoneNumber(): string
    {
        return $this->phoneNumber;
    }

    public function getSubscribed(): bool
    {
        return $this->subscribed;
    }

    public function getBusinessName(): ?string
    {
        return $this->businessName;
    }

}