<?php

namespace JimsGroup\Utilities;

class HttpHeaders
{
    protected $data = [];

    /**
     * HttpHeaders constructor.
     * @param array $headers
     */
    public function __construct($headers)
    {
        if(!empty($headers)){
            foreach ($headers as $name => $value) {
                $this->add($name, $value);
            }
        }
    }

    /**
     * @param $name
     * @param $value
     * @return void
     */
    public function add($name, $value)
    {
        $this->data[$name] = $value;
    }

    /**
     * @return array
     */
    public function toCurlArray(){
        $curl_headers = [];
        foreach ($this->data as $name => $value) {
            $curl_headers[] = sprintf('%s: %s', $name, $value);
        }
        return $curl_headers;
    }

    /**
     * @return array|mixed
     */
    public function toArray(){
        return $this->data;
    }

    /**
     * @return string
     */
    public function __toString()
    {
        $headers = [];
        foreach ($this->data as $name => $value) {
            $headers[] = sprintf('%s: %s', $name, $value);
        }
        return implode("\r\n", $headers);
    }
}