<?php

namespace JimsGroup\Utilities;

use Monolog\Handler\StreamHandler;
use Monolog\Level;

class Logger extends \Monolog\Logger
{
    public function __construct($name, array $handlers = [], array $processors = [])
    {
        parent::__construct($name, $handlers, $processors);
        $this->pushHandler (new StreamHandler(__DIR__ . '../../log.txt', Level::Warning));
    }

    public static function simpleLog($data, $log_file = 'log.txt', $format_data = false)
    {
        if($format_data) {
            $data = self::formatData($data);
        } else {
            $data = print_r($data, true);
        }

        $file = new \SplFileObject($log_file, 'a');
        $file->fwrite($data . PHP_EOL);
    }

    public static function formatData($data)
    {
        //if data is json string it and then encode it again
        if (is_string($data)) {
            $data = json_decode($data, true);
        }

        return json_encode($data, JSON_PRETTY_PRINT);
    }
}