/*! For license information please see html-extension.js.LICENSE.txt */
(()=>{"use strict";var __webpack_modules__={"./assets/src/js/html-extension.js":(__unused_webpack_module,__webpack_exports__,__webpack_require__)=>{eval('__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _html_html_extension_registry_mjs__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./html/html-extension-registry.mjs */ "./assets/src/js/html/html-extension-registry.mjs");\n\nvar registry = new _html_html_extension_registry_mjs__WEBPACK_IMPORTED_MODULE_0__["default"]();\n\n// Register the HTML extension\nregistry.register("toggle");\nregistry.register("notification");\nconsole.log(registry.list);\nregistry.init();\n\n//# sourceURL=webpack://jims-wpcb/./assets/src/js/html-extension.js?')},"./assets/src/js/html/html-extension-registry.mjs":(__unused_webpack___webpack_module__,__webpack_exports__,__webpack_require__)=>{eval('__webpack_require__.r(__webpack_exports__);\n/* harmony export */ __webpack_require__.d(__webpack_exports__, {\n/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)\n/* harmony export */ });\n/* harmony import */ var _toggle_mjs__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./toggle.mjs */ "./assets/src/js/html/toggle.mjs");\n/* harmony import */ var _notification_mjs__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./notification.mjs */ "./assets/src/js/html/notification.mjs");\n\n\n\nclass HtmlExtensionRegistry\n{\n    prefix = "wpcb-";\n\n    #availableExtensions = {\n        "toggle": {\n            prototype: _toggle_mjs__WEBPACK_IMPORTED_MODULE_0__["default"]\n        },\n        "notification": {\n            prototype: _notification_mjs__WEBPACK_IMPORTED_MODULE_1__["default"],\n        }\n    }\n\n    #list = [];\n\n    constructor(){}\n\n    register(tagName){\n        this.#list.push(tagName);\n    }\n\n    init(){\n        this.#list.forEach((name) => {\n\n            // Check if the element is already defined\n            if(customElements.get(this.getTag(name)) !== undefined){\n                return;\n            }\n\n            // Check if the element extends another element\n            let configuration = this.#availableExtensions[name]?.extends ? {\n                extends: this.#availableExtensions[name].extends\n            }: {};\n\n            // Register the element\n            customElements.define(this.getTag(name), this.#availableExtensions[name].prototype, configuration);\n        });\n    }\n\n    get list(){\n        return this.#list;\n    }\n\n\n    getTag(tagName){\n        return this.prefix + tagName;\n    }\n}\n\n/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (HtmlExtensionRegistry);\n\n//# sourceURL=webpack://jims-wpcb/./assets/src/js/html/html-extension-registry.mjs?')},"./assets/src/js/html/notification.mjs":(__unused_webpack___webpack_module__,__webpack_exports__,__webpack_require__)=>{eval('__webpack_require__.r(__webpack_exports__);\n/* harmony export */ __webpack_require__.d(__webpack_exports__, {\n/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)\n/* harmony export */ });\nclass Notification extends HTMLElement {\n\n    observedAttributes = ["type"];\n\n    #style = null;\n\n    #parts = {\n        text: document.createElement("div"),\n    }\n\n    constructor() {\n        super();\n        const shadow = this.attachShadow({mode: "open"});\n\n        // Optionally, you can still use slots for other content\n        // shadow.innerHTML = `<slot name="fallback"></slot>`;\n        this.#parts.text.textContent = \'\';\n        this.shadowRoot.appendChild(this.#parts.text);\n    }\n\n    connectedCallback() {\n        this.#setStyle();\n\n        const contentDiv = this.#parts.text;\n\n        if(this.attributes?.type !== null && this.attributes?.type !== undefined ) {\n            console.log(this.attributes?.type);\n            this.#parts.text.classList.add(this.attributes.type.value);\n        } else {\n            this.#parts.text.classList.add("info");\n        }\n\n        setTimeout(() => {\n            contentDiv.innerHTML = \'\';\n            this.childNodes.forEach((node) => {\n                contentDiv.appendChild(node.cloneNode(true));\n            });\n        }, 10);\n    }\n\n    disconnectedCallback() {\n        // console.log("Custom element removed from page.");\n    }\n\n    adoptedCallback() {\n        // console.log("Custom element moved to new page.");\n    }\n\n    attributeChangedCallback(name, oldValue, newValue) {\n        // console.log(`Attribute ${name} has changed.`);\n\n        if(name === "type") {\n            this.#parts.text.classList.remove(oldValue);\n            this.#parts.text.classList.add(newValue);\n        }\n    }\n\n    #removeTabsAndNewLines(text) {\n        return text.replace(/\\t/g, "").replace(/\\n/g, "");\n    }\n\n    #setStyle() {\n        this.#style = document.createElement("style");\n        this.#style.textContent = `\n      div {\n      box-sizing: border-box;\n          padding: 10px;\n          color: white;\n        display: block;\n        flex-direction: column;\n        align-items: center;\n        justify-content: center;\n        width: 100%;\n        height: 100%;\n        background-color: inherit;\n        line-height: 1.5;\n      }\n      \n      div.error {\n        background-color: #f44336;\n      }\n      \n        div.warning {\n            background-color: #ffeb3b;\n            color: darkslategray;\n        }\n        \n        div.success {\n            background-color: #4caf50;\n        }\n        \n        div.info {\n            background-color: #2196F3FF;\n        }\n    `;\n\n        this.shadowRoot.appendChild(this.#style);\n    }\n\n    set type(value) {\n        this.setAttribute("type", value);\n    }\n\n    get type() {\n        return this.getAttribute("type");\n    }\n}\n\n/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Notification);\n\n//# sourceURL=webpack://jims-wpcb/./assets/src/js/html/notification.mjs?')},"./assets/src/js/html/toggle.mjs":(__unused_webpack___webpack_module__,__webpack_exports__,__webpack_require__)=>{eval('__webpack_require__.r(__webpack_exports__);\n/* harmony export */ __webpack_require__.d(__webpack_exports__, {\n/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)\n/* harmony export */ });\nclass Toggle extends HTMLElement {\n\n    static formAssociated = true;\n\n    observedAttributes = ["text", "checked"];\n\n    #parts = {\n        containerLabel: document.createElement("label"),\n        title: document.createElement("span"),\n        switchElement: document.createElement("span"),\n        input: document.createElement("input"),\n        spanSlider: document.createElement("span")\n    }\n\n    #style = null;\n\n    #target = null;\n\n    constructor() {\n        super();\n        this.internals_ = this.attachInternals();\n\n        const shadow = this.attachShadow({mode: "open"});\n\n        const containerLabel = this.#createHTML();\n        this.shadowRoot.appendChild(this.#parts.title);\n        shadow.appendChild(containerLabel);\n        this.#setStyle();\n    }\n\n    connectedCallback() {\n        const text = this.attributes.text.value;\n        this.#parts.title.innerText = text;\n\n        if (this.attributes?.checked?.value === "true" || (this.attributes?.checked && this.attributes?.checked?.value !== "false")) {\n            this.#parts.input.checked = true;\n        }\n\n        if (this.attributes?.for !== undefined) {\n            document.addEventListener("DOMContentLoaded", () => {\n                let target = document.querySelector(`#${this.attributes.for.value}`);\n                if (target !== null && target !== undefined) {\n                   target.disabled = !this.#parts.input.checked;\n                   this.target = target;\n                }\n            });\n        }\n\n\n        this.#parts.input.addEventListener("change", () => {\n\n            if(this.hasAttribute("checked")){\n                this.attributes.checked.value = this.#parts.input.checked;\n            } else {\n                this.setAttribute("checked", this.#parts.input.checked);\n            }\n\n            this.internals_.setFormValue(this.#parts.input.checked ? "on" : "off");\n\n            this.dispatchEvent(new Event("change", {bubbles: true}));\n        });\n\n\n        this.addEventListener("change", () => {\n            if(this.target !== null && this.target !== undefined){\n                this.target.disabled = !this.#parts.input.checked;\n            }\n        });\n    }\n\n    disconnectedCallback() {\n        // console.log("Custom element removed from page.");\n    }\n\n    adoptedCallback() {\n        // console.log("Custom element moved to new page.");\n    }\n\n    attributeChangedCallback(name, oldValue, newValue) {\n        //console.log(`Attribute ${name} has changed.`);\n\n        if(name === \'checked\'){\n            this.target.disabled = !this.#parts.input.checked;\n        }\n\n    }\n\n    #createHTML() {\n        this.#parts.switchElement.classList.add("switch");\n        this.#parts.input.type = "checkbox";\n        this.#parts.spanSlider.classList.add("slider");\n        this.#parts.title.style.verticalAlign = "-webkit-baseline-middle";\n\n        this.#parts.switchElement.appendChild(this.#parts.input);\n        this.#parts.switchElement.appendChild(this.#parts.spanSlider);\n\n        this.#parts.containerLabel.appendChild(this.#parts.switchElement);\n\n        return this.#parts.containerLabel;\n    }\n\n    #setStyle() {\n        this.#style = document.createElement("style");\n        this.#style.textContent = `\n        label {\n                position: relative;\n              display: inline-block;\n              width: 60px;\n              height: 34px;\n              vertical-align: inherit;\n              margin-left: 10px;\n        }\n        \n        input {\n            opacity: 0;\n            width: 0;\n            height: 0;\n          }\n\n          .slider {\n            position: absolute;\n            cursor: pointer;\n            top: 0;\n            left: 0;\n            right: 0;\n            bottom: 0;\n            background-color: #ccc;\n            -webkit-transition: .4s;\n            transition: .4s;\n            border-radius: 34px;\n          }\n\n          .slider:before {\n            position: absolute;\n            content: "";\n            height: 26px;\n            width: 26px;\n            left: 4px;\n            bottom: 4px;\n            background-color: white;\n            -webkit-transition: .4s;\n            transition: .4s;\n            border-radius: 50%;\n          }\n        \n          input:checked + .slider {\n            background-color: #2196F3FF;\n          }\n        \n          input:focus + .slider {\n            box-shadow: 0 0 1px #2196F3FF;\n          }\n        \n      \n          input:checked + .slider:before {\n            -webkit-transform: translateX(26px);\n            -ms-transform: translateX(26px);\n            transform: translateX(26px);\n          }\n        `;\n\n        this.shadowRoot.appendChild(this.#style);\n    }\n\n    get value() {\n        return this.#parts.input.checked;\n    }\n\n    set value(value) {\n        this.#parts.input.checked = value;\n    }\n\n    get checked() {\n        return this.#parts.input.checked;\n    }\n\n    set checked(value) {\n        this.#parts.input.checked = value;\n    }\n\n    set name(value) {\n        this.attributes.name = value;\n    }\n\n    get name() {\n        return this.attributes?.name;\n    }\n\n    set for(value) {\n        this.attributes.for = value;\n    }\n\n    get for() {\n        return this.attributes?.for;\n    }\n\n\n}\n\n/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Toggle);\n\n//# sourceURL=webpack://jims-wpcb/./assets/src/js/html/toggle.mjs?')}},__webpack_module_cache__={};function __webpack_require__(e){var n=__webpack_module_cache__[e];if(void 0!==n)return n.exports;var t=__webpack_module_cache__[e]={exports:{}};return __webpack_modules__[e](t,t.exports,__webpack_require__),t.exports}__webpack_require__.d=(e,n)=>{for(var t in n)__webpack_require__.o(n,t)&&!__webpack_require__.o(e,t)&&Object.defineProperty(e,t,{enumerable:!0,get:n[t]})},__webpack_require__.o=(e,n)=>Object.prototype.hasOwnProperty.call(e,n),__webpack_require__.r=e=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})};var __webpack_exports__=__webpack_require__("./assets/src/js/html-extension.js")})();